﻿$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://www.avianwaves.com/Software/Tools/RDTabs/RDTabsSetup_3.0.10.exe'
$url64      = 'https://www.avianwaves.com/Software/Tools/RDTabs/RDTabsSetup_3.0.10.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'RD Tabs'

  checksum      = 'c3658fe460886175037b82eff092a292113e5a8e9e9fb9bdf623c97de940e173'
  checksumType  = 'sha256'
  checksum64    = 'c3658fe460886175037b82eff092a292113e5a8e9e9fb9bdf623c97de940e173'
  checksumType64= 'sha256'

  silentArgs    = "-quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
